Subject: bug#36839: 26.1: unique frame names

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 23 Mar 2022 14:38:21 +0100

Eli Zaretskii <[email-masked]> writes:

>> > So you want Emacs to uniquify the frame's name using the 'name'
>> > parameter as a template?
>> 
>> Yes.
>
> OK, but in that case I think it should be a different parameter, since
> 'name' is supposed to be the literal name of the frame.
>
> In general, setting frame names was supposed to be done manually for
> each frame, giving them meaningful names.  A template assumes some
> kind of automated naming, which was not the goal of this feature's
> design (if frame names don't have to be meaningful, we already have
> the Fnn names that are assigned automatically).

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Reading this thread, I think the conclusion here is that the utility of
adding a new "template" parameter would be of limited value, so we don't
really want to do that.  And I'm therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no